List all of the registered worker machines in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
commStylesarray of string
List of communication styles which if specified, filters the result to only include Workers with matching communication styles.healthStatusesarray of string
List of health statuses which if specified, filters the result to only include Deployment Targets with matching health statuses.idsarray of string
List of Worker IDs which if specified, filters the result to only include Workers with matching IDs.isDisabledboolean
A filter to return only disabled/enabled Workers.namestring
The exact name of a Worker to be matched.operatingSystemNamesarray of string
List of operating system names which if specified, filters the result to only include Workers with matching operating systems.partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.shellNamesarray of string
List of shell names which if specified, filters the result to only include Workers with matching shells.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.workerPoolIdsarray of string
List of Worker Pool IDs which if specified, filters the result to only include Workers belonging to these Worker Pools.
Response
200 — A paginated list of Workers
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectArchitecturestringEndpointobjectHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringThumbprintstringUristringWorkerPoolIdsarray of string
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"string"
]
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new worker
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
Endpointobject (required)CommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
IsDisabledboolean (required)
Whether the worker is disabled or not.MachinePolicyIdstring
The policy the worker must adhere to.Namestring (required)
The name of the worker. Minimum length 1.SkipInitialHealthCheckbooleanSlugstringSpaceIdstring (required)
The ID of the space containing the resource(s).WorkerPoolIdsarray of string (required)
The worker pools the worker belongs to.
Response
201 — Created
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
HasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringThumbprintstringUristringWorkerPoolIdsarray of string
Example Request
{
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"IsDisabled": true,
"MachinePolicyId": "string",
"Name": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"WorkerPoolIds": [
"string"
]
}Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"string"
]
}Get a list of Workers
GET /api
Also reachable at /api, /api.
Lists all of the Workers in the supplied Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A list of Worker resource IDs used to filter a query.thumbprintstring
A thumbprint used to filter a query.
Response
200 — The requested list of Workers
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
HasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringThumbprintstringUristringWorkerPoolIdsarray of string
Example Response
[
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"string"
]
}
]Interrogate a machine for communication details so that it may be added to the installation
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
hoststring (required)
The hostname of the machine to discover.portinteger
The port of the machine to discover.proxyIdstring
The ID of the proxy to go through.typeenum
The type of endpoint on the machine.
Allowed values:TentaclePassive,TentacleActive,Ssh.
Response
200 — The worker which was discovered
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
HasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringThumbprintstringUristringWorkerPoolIdsarray of string
Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"string"
]
}Get all operating system names for workers. The result will be a string array
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Response
200 — The operating system names for workers.
Example Response
[
"string"
]Get all operating system shell names for workers. The result will be a string array
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Response
200 — The operating system shell names for workers.
Example Response
[
"string"
]List all of the registered worker machines in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Query Parameters
commStylesarray of string
List of communication styles which if specified, filters the result to only include Workers with matching communication styles.healthStatusesarray of string
List of health statuses which if specified, filters the result to only include Workers with matching health statuses.idsarray of string
List of Worker IDs which if specified, filters the result to only include Workers with matching IDs.isDisabledboolean
A filter to return only disabled/enabled Workers.namestring
The exact name of a Worker to be matched.operatingSystemNamesarray of string
List of operating system names which if specified, filters the result to only include Workers with matching operating systems.partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.shellNamesarray of string
List of shell names which if specified, filters the result to only include Workers with matching shells.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.workerPoolIdsarray of string
List of Worker Pool IDs which if specified, filters the result to only include Workers belonging to these Worker Pools.
Response
200 — The list of alphabetically sorted workers that matched the request.
WorkerCountPerHealthStatusobjectWorkersobjectItemTypestringItemsarray of objectItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"WorkerCountPerHealthStatus": {
"additionalProp1": 0,
"additionalProp2": 0,
"additionalProp3": 0
},
"Workers": {
"ItemType": "string",
"Items": [
{
"Architecture": "string",
"Endpoint": {},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"string"
]
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}
}Get a Worker by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the Worker to retrieve.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Return the Worker Resource
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
HasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringThumbprintstringUristringWorkerPoolIdsarray of string
Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"string"
]
}Modify an existing worker machine
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the worker.spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
Endpointobject (required)CommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring (required)
The ID of the worker.IsDisabledboolean (required)
Whether the worker is disabled or not.MachinePolicyIdstring
The policy the worker must adhere to.Namestring (required)
The name of the worker. Minimum length 1.SlugstringSpaceIdstring (required)
The ID of the space containing the resource(s).WorkerPoolIdsarray of string (required)
The worker pools the worker belongs to.
Response
200 — The modified worker
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
HasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringThumbprintstringUristringWorkerPoolIdsarray of string
Example Request
{
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"MachinePolicyId": "string",
"Name": "string",
"Slug": "string",
"SpaceId": "string",
"WorkerPoolIds": [
"string"
]
}Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string",
"WorkerPoolIds": [
"string"
]
}Delete an existing Worker
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the Worker to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Get the status of the network connection between the Octopus server and a worker
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the worker.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The connection status of the worker
CurrentTentacleVersionstringIdstring
Gets or sets a unique identifier for this resource.LastCheckedstring
Formatdate-time.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Logsarray of objectCategorystringDetailstringGapLastNumberintegerMessageTextstringNumberintegerOccurredAtstring
Formatdate-time.
MachineIdstringStatusstring
Example Response
{
"CurrentTentacleVersion": "string",
"Id": "string",
"LastChecked": "2020-01-01T00:00:00.000Z",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Logs": [
{
"Category": "string",
"Detail": "string",
"GapLastNumber": 0,
"MessageText": "string",
"Number": 0,
"OccurredAt": "2020-01-01T00:00:00.000Z"
}
],
"MachineId": "string",
"Status": "string"
}